From c4ea69a81154148170bd92c669bae3289d389be9 Mon Sep 17 00:00:00 2001
From: Ken Thomases <ken@codeweavers.com>
Date: Wed, 19 Mar 2014 19:50:16 -0500
Subject: d3d8/tests: Remove "todo_wine" from tests that now pass with
 WGL_WINE_surface.
To: wine-patches <wine-patches@winehq.org>

---
 dlls/d3d8/tests/device.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/dlls/d3d8/tests/device.c b/dlls/d3d8/tests/device.c
index d683a76..ab3da28 100644
--- a/dlls/d3d8/tests/device.c
+++ b/dlls/d3d8/tests/device.c
@@ -2760,11 +2760,11 @@ static void test_window_style(void)
 
     style = GetWindowLongA(device_window, GWL_STYLE);
     expected_style = device_style | WS_VISIBLE;
-    todo_wine ok(style == expected_style, "Expected device window style %#x, got %#x.\n",
+    ok(style == expected_style, "Expected device window style %#x, got %#x.\n",
             expected_style, style);
     style = GetWindowLongA(device_window, GWL_EXSTYLE);
     expected_style = device_exstyle | WS_EX_TOPMOST;
-    todo_wine ok(style == expected_style, "Expected device window extended style %#x, got %#x.\n",
+    ok(style == expected_style, "Expected device window extended style %#x, got %#x.\n",
             expected_style, style);
 
     style = GetWindowLongA(focus_window, GWL_STYLE);
@@ -2779,7 +2779,7 @@ static void test_window_style(void)
             fullscreen_rect.left, fullscreen_rect.top, fullscreen_rect.right, fullscreen_rect.bottom,
             r.left, r.top, r.right, r.bottom);
     GetClientRect(device_window, &r);
-    todo_wine ok(!EqualRect(&r, &fullscreen_rect), "Client rect and window rect are equal.\n");
+    ok(!EqualRect(&r, &fullscreen_rect), "Client rect and window rect are equal.\n");
     GetWindowRect(focus_window, &r);
     ok(EqualRect(&r, &focus_rect), "Expected {%d, %d, %d, %d}, got {%d, %d, %d, %d}.\n",
             focus_rect.left, focus_rect.top, focus_rect.right, focus_rect.bottom,
-- 
1.7.7.4

